import { useTick } from "@saasquatch/component-boilerplate";
export function usePortalFrame(footerContent, headerContent, props) {
  const [, rerender] = useTick();
  return {
    data: {
      footer: footerContent,
      header: headerContent,
    },
    callbacks: {
      rerender,
    },
    backgroundColor: props.backgroundColor,
    border: props.border,
    headerAndFooterBackgroundColor: props.headerAndFooterBackgroundColor,
  };
}
